local Utils = GetLibResearchUtils()
 
function RB2.chatOutput(message)
	d(message)
end

function RB2.displayResearchKeyForItemLink(itemLink)
	RB2.Debug.debug("displayResearchKeyForItemLink")
	local resKey, tst, rli, ti = Utils.getResearchKeyFromItemLink(itemLink)
	if (resKey ~= nil) then
		if ((tst == -1) or (rli == -1) or (ti == -1)) then
			RB2.chatOutput(RB2.Colors.DarkRed .. "Problematic link: ".. itemLink .. ", RK: " .. resKey)
		else
			RB2.chatOutput(itemLink .. ", RK: " .. resKey)
		end
	end
end

function RB2.throttleEventHandler(key, seconds, funcToCall, ...)
	key = "RB2_" .. key
	RB2.Debug.debug("Calling event handler " .. key .. "...")
	if (RB2:BufferPause(key, seconds)) then
		RB2.Debug.debug("Throttling ...")
		zo_callLater(function(...) funcToCall(...) end, seconds * 1000)
	end
end

function RB2.testHook(...)
	local table = { ... }
	Utils.tablePrint(table, 0)
	return false
end
