local Config = {
	TradeSkillTypes = {
		{
			Type = CRAFTING_TYPE_BLACKSMITHING,
			Identifier = "CRAFTING_TYPE_BLACKSMITHING",
			Name = "Blacksmithing"
		},
		{
			Type = CRAFTING_TYPE_CLOTHIER,
			Identifier = "CRAFTING_TYPE_CLOTHIER",
			Name = "Clothing"
		},
		{
			Type = CRAFTING_TYPE_WOODWORKING,
			Identifier = "CRAFTING_TYPE_WOODWORKING",
			Name = "Woodworking"
		},
	},
}

function Config.tradeSkillIterator(table, i)
	i = i + 1
	local v = table[i]
	if v then
		return v.Type, v.Identifier, v.Name
	end
end

function Config.tradeSkillTraverse(table)
	return Config.tradeSkillIterator, table, 0
end

function GetLibResearchConfig()
	return Config
end
